#!/usr/bin/env python
import GSIasyncore
import socket
import string

SECURE_PORT = 14831
class asynGSI(GSIasyncore.dispatcher):
   def __init__(self, port):
      GSIasyncore.dispatcher.__init__(self)
      self.create_socket(SECURE_PORT)
      self.socket.listen(5)
      
   def handle_accept(self):
      self.client, addr = self.socket.accept()
      ctx = self.client.get_security_context()
      tuple = ctx.inquire()
      print "finished inquire_context"
      name = tuple[0].display()
      print "Source name is: %s" % name
##      self.cred = self.client.get_delegated_credential()
##      print "Got the delegated credential"
      return asynGSIhandler(self.client)

class asynGSIhandler(GSIasyncore.dispatcher):
   def __init__(self, sock=None):
      GSIasyncore.dispatcher.__init__(self, sock)

   def handle_read(self):
      data = self.recv(46)
      print data
      return

   def handle_close(self):
##      del self.cred
      del self.client
      self.close()

   def writable(self):
      return None
