#!/usr/local/bin/python
############################################################################
# Keith R. Jackson, LBNL
#Copyright (c) 2003, The Regents of the University of California,
#through Lawrence Berkeley National Laboratory 
#(subject to receipt of any required approvals from the U.S. Dept. of Energy). 
#All rights reserved. 
###########################################################################
from threading import *
import gramc, utilc

cond = {"flag":0}

def func(cv, contact, state, error):
    print "inside func"
    print "state is %i" % state
    print "error is %i" % error
    if state == 1:
        print "Job is pending"
    elif state == 2:
        print "Job is active"
    elif state == 4:
        print "Job failed"
        cv.acquire()
        cond["flag"] = 1
        cv.notify()
        cv.release()
    elif state == 8:
        print "Job is done"
        cv.acquire()
        cond["flag"] = 1
        cv.notify()
        cv.release()



def foo():
    utilc.globus_module_activate(gramc.get_module())
    condV = Condition()
    er, contact = gramc.callback_allow(func, condV)
    print "err from callback_allow is %i" % er
    print "contact is %s" % contact
    gramc.globus_gram_client_job_request("scott.lbl.gov", "&(executable=/bin/date)", 31, contact)
    print "sumbitted the job, waiting for callbacks"
    condV.acquire()
    while cond["flag"] == 0:
        condV.wait(2)
        print "cond[\"flag\"] is % i" % cond["flag"]
    condV.release()



foo()
