import ConfigParser, unittest
from pyGlobus.security import GSSContext
from pyGlobus.util import GlobusException

"""
Unittest for the GSSContext module.
"""

config = None # ConfigParser object

class GSSContextTestCase(unittest.TestCase):
    """
    Test case for the GSSContext module.
    """

    def checkGSSContext(self):
        global config
        print "\nGSSContextTestCase begin\n"
        if config == None:
            config = ConfigParser.ConfigParser()
            config.read("config.py")
        try:
            ctx = GSSContext()
            del ctx
            print "\nGSSContextTestCase completed\n"
        except GlobusException, ex:
            print "Exception occured during testing."
            assert 0, ex.args
        return
    
def makeTestSuite():
    suite = unittest.TestSuite()
    suite.addTest(unittest.makeSuite(GSSContextTestCase, "check"))
    return suite

def main():
    unittest.main(defaultTest="makeTestSuite")


if __name__ == "__main__" : main()
    
                  

