import ConfigParser, unittest
from pyGlobus.security import GSSName
from pyGlobus.util import GlobusException

"""
Unittest for the GSSName module.
"""

config = None # ConfigParser object

class GSSNameTestCase(unittest.TestCase):
    """
    Test case for the GSSName class.
    """

    def checkGSSName(self):
        global config
        print "\nGSSNameTestCase begin\n"
        if config == None:
            config = ConfigParser.ConfigParser()
            config.read("test/config.py")
        try:
            name = GSSName()
            del name
            print "\nGSSNameTestCase completed\n"
        except GlobusException, ex:
            print "Exception occured during testing."
            assert 0, ex.args
        return
    
def makeTestSuite():
    suite = unittest.TestSuite()
    suite.addTest(unittest.makeSuite(GSSNameTestCase, "check"))
    return suite

def main():
    unittest.main(defaultTest="makeTestSuite")


if __name__ == "__main__" : main()
    
                  

