from pyGlobus.test import test_FtpClient
from pyGlobus.test import test_EasyFtpClient
import ConfigParser, unittest

"""
Unittest for the ftpClient package.
"""

#The config file is ../../test/config.py
config = None # ConfigParser object

def makeTestSuite():
    global config
    if config == None:
        config = ConfigParser.ConfigParser()
        config.read("config.py")
    test_FtpClient.config = config
    suite = unittest.TestSuite()
    suite.addTest(test_FtpClient.makeTestSuite())
    suite.addTest(test_EasyFtpClient.makeTestSuite())
    return suite

def main():
    global config
    if config == None:
        config = ConfigParser.ConfigParser()
        config.read("config.py")
    test_FtpClient.config = config
    test_EasyFtpClient.config = config
    unittest.main(defaultTest="makeTestSuite")


if __name__ == "__main__" : main()
    
