from pyGlobus.test import test_GramClient
import ConfigParser, unittest

"""
Unittest for the gramClient package.
"""

#The config file is ../../test/config.py
config = None # ConfigParser object

def makeTestSuite():
    global config
    if config == None:
        config = ConfigParser.ConfigParser()
        config.read("config.py")
    test_GramClient.config = config
    suite = unittest.TestSuite()
    suite.addTest(test_GramClient.makeTestSuite())
    return suite

def main():
    global config
    if config == None:
        config = ConfigParser.ConfigParser()
        config.read("config.py")
    test_GramClient.config = config
    unittest.main(defaultTest="makeTestSuite")


if __name__ == "__main__" : main()
    
                  

