import ConfigParser, unittest
from pyGlobus.test import test_Session

"""
Unittest for the replicaManagement package.
"""

config = None # ConfigParser object

def makeTestSuite():
    global config
    if config == None:
        config = ConfigParser.ConfigParser()
        config.read("config.py")
    test_Session.config = config
    suite = unittest.TestSuite()
    suite.addTest(test_Session.makeTestSuite())
    return suite

def main():
    global config
    if config == None:
        config = ConfigParser.ConfigParser()
        config.read("config.py")
    test_Session.config = config
    unittest.main(defaultTest="makeTestSuite")


if __name__ == "__main__" : main()
    
                  

