import ConfigParser, unittest
from pyGlobus.security import GSSCred
from pyGlobus.util import GlobusException

"""
Unittest for the GSSCred module.
"""

config = None # ConfigParser object

class GSSCredTestCase(unittest.TestCase):
    """
    Test case for the GSSCred module.
    """

    def checkGSSCred(self):
        global config
        print "\nGSSCredTestCase begin\n"
        if config == None:
            config = ConfigParser.ConfigParser()
            config.read("config.py")
        try:
            cred = GSSCred()
            del cred
            print "\nGSSCredTestCase completed\n"
        except GlobusException, ex:
            print "Exception occured during testing."
            assert 0, ex.args
        return
    
def makeTestSuite():
    suite = unittest.TestSuite()
    suite.addTest(unittest.makeSuite(GSSCredTestCase, "check"))
    return suite

def main():
    unittest.main(defaultTest="makeTestSuite")


if __name__ == "__main__" : main()
    
                  

