import ConfigParser, unittest
from pyGlobus.test import test_Collection

"""
Unittest for the replicaCatalog package.
"""

config = None # ConfigParser object

def makeTestSuite():
    global config
    if config == None:
        config = ConfigParser.ConfigParser()
        config.read("config.py")
    test_Collection.config = config
    suite = unittest.TestSuite()
    suite.addTest(test_Collection.makeTestSuite())
    return suite

def main():
    global config
    if config == None:
        config = ConfigParser.ConfigParser()
        config.read("config.py")
    test_Collection.config = config
    unittest.main(defaultTest="makeTestSuite")


if __name__ == "__main__" : main()
    
                  

